require 'rake/testtask'
require 'spec/rake/spectask'

task :default => :spec

Spec::Rake::SpecTask.new(:spec) do |t|
  t.warning = true
  t.spec_files = FileList["#{File.dirname(__FILE__)}/spec/**/*_spec.rb"]
  t.spec_opts = %w(--backtrace --diff --color)
  t.libs << "#{File.dirname(__FILE__)}/spec"
  t.libs << "#{File.dirname(__FILE__)}/spec/torspec"
end

desc "Build a gem file."
task :build do
  system "gem build torspec.gemspec"
end

# Load custom rake tasks.
Dir["#{File.dirname(__FILE__)}/lib/tasks/**/*.rake"].sort.each do |task|
  load task
end
